# unicode_normalization::char - Rust
API documentation for the Rust `char` mod in crate `unicode_normalization`.
Keywords: rust, rustlang, rust-lang, char

# Module unicode_normalization::char [−] [src]

Methods for composing and decomposing characters.

## Functions

canonical_combining_class | Look up the canonical combining class for a codepoint.
compose | Compose two characters into a single character, if possible. See Unicode Standard Annex #15 for more information.
decompose_canonical | Compute canonical Unicode decomposition for character. See Unicode Standard Annex #15 for more information.
decompose_cjk_compat_variants | Compute standard-variation decomposition for character.
decompose_compatible | Compute canonical or compatible Unicode decomposition for character. See Unicode Standard Annex #15 for more information.
is_combining_mark | Return whether the given character is a combining mark (`General_Category=Mark`)